Sign in
POST
/api/user/signin
Authentication
API Key (cookie: better-auth.session_token)
Request Body
application/jsonemail
string (email)
REQUIRED
password
string
REQUIRED
Responses
200
Signed in
application/jsonuser
object
REQUIRED
id
string
REQUIRED
email
string
REQUIRED
name
string
REQUIRED
401
Invalid credentials
curl -X POST 'https://motioness.com/api/user/signin' \ -H 'Content-Type: application/json' \ -d '{ "email": "user@example.com", "password": "string"}'
const response = await fetch('https://motioness.com/api/user/signin', { method: 'POST', headers: { "Content-Type": "application/json" }, body: JSON.stringify({ "email": "user@example.com", "password": "string" })});const data = await response.json();console.log(data);
import requestsresponse = requests.post('https://motioness.com/api/user/signin', json={ "email": "user@example.com", "password": "string"})print(response.json())
200
Response
{ "user": { "id": "<string>", "email": "<string>", "name": "<string>" }}
API Playground
Try this endpoint
POST
/api/user/signin